logomoneymotion
PublishablekeysRpc
background
moneymotion Docs
moneymotion Docs
Publishable Keys Create
POST
/rpc/PublishableKeysCreate
namemaxLength(255)

a string at most 255 character(s) long

Length1 <= length <= 255
modestring
Value in"live" | "test"
allowedOriginsmaxItems(50)

an array of at most 50 item(s)

Response Body

curl -X POST "https://api.moneymotion.io/rpc/PublishableKeysCreate" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "mode": "live",    "allowedOrigins": [      "string"    ]  }'
{
  "id": "string",
  "storeId": "string",
  "name": "string",
  "prefix": "pk_live",
  "rawKey": "string",
  "shortId": "string",
  "allowedOrigins": [
    "string"
  ],
  "createdAt": "string"
}